@echo off
set JAVA_HOME=C:\Program Files\Java\jdk1.5.0_11\bin

:TEST_JAVA
if exist "%JAVA_HOME%"\java.exe goto :setArgs
echo # java.exe est introuvable au chemin defini pour le JAVA_HOME (%JAVA_HOME%) veuillez modifier la variable JAVA_HOME #
goto FIN

:setArgs
if ""%1""=="""" goto doneSetArgs
if ""%1""==""-p11"" (
	set CPS3_PKCS11_TRACES=true
	echo # Activation des traces pkcs#11 #
) else (
	if ""%1""==""-opsc"" (
		set CPS3_DEBUG=10
		echo # Activation des traces OpenSC  #
	) else (
		if ""%1""==""-usage"" (
			goto USAGE
		) else (
			if ""%1""==""-h"" (
				goto USAGE
			) else (
				echo Argument invalide. cf. usage: -usage
				goto FIN
			)
		)
	)
)
 shift
 goto setArgs
:doneSetArgs

:LANCEMENT
"%JAVA_HOME%"\java -cp . -Djava.library.path=. -jar programmeExempleCPS3.jar
goto FIN

:USAGE
echo ############## USAGE : #############
echo # -p11 : Active les traces pkcs#11 #
echo # -opsc : Active les traces OpenSC #
echo # -usage : Affiche le USAGE        #
echo # -h : Affiche le USAGE            #
echo ####################################

:FIN
pause